Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Class EmptyRange

Constructing Ranges like 0..<0

author:
  Dierk Koenig

author:
  Edwin Tellman

Field Summary
`Comparable` | `at`

Constructor Summary
`EmptyRange(Comparable at)`

Method Summary
`boolean` | `add(Object o)` Always throws `UnsupportedOperationException` for an empty range.
`boolean` | `addAll(int index, Collection c)` Always throws `UnsupportedOperationException` for an empty range.
`boolean` | `addAll(Collection c)` Always throws `UnsupportedOperationException` for an empty range.
`boolean` | `containsWithinBounds(Object o)` Never true for an empty range.
`Object` | `get(int index)` Always throws `IndexOutOfBoundsException` for an empty range.
`Comparable` | `getFrom()`
`Comparable` | `getTo()`
`String` | `inspect()`
`boolean` | `isReverse()` Never true for an empty range.
`boolean` | `remove(Object o)` Always throws `UnsupportedOperationException` for an empty range.
`Object` | `remove(int index)` Always throws `UnsupportedOperationException` for an empty range.
`boolean` | `removeAll(Collection c)` Always throws `UnsupportedOperationException` for an empty range.
`boolean` | `retainAll(Collection c)` Always throws `UnsupportedOperationException` for an empty range.
`Object` | `set(int index, Object element)` Always throws `UnsupportedOperationException` for an empty range.
`int` | `size()` Always 0 for an empty range.
`void` | `step(int step, Closure closure)` Always does nothing for an empty range.
`List` | `step(int step)` Always returns an empty list for an empty range.
`String` | `toString()`

Constructor Detail

### EmptyRange

    public EmptyRange(Comparable at)

Method Detail

### add

    public boolean add(Object o)

  Always throws `UnsupportedOperationException` for an empty range.
  throws:
    UnsupportedOperationException always

### addAll

    public boolean addAll(int index, Collection c)

  Always throws `UnsupportedOperationException` for an empty range.
  throws:
    UnsupportedOperationException

### addAll

    public boolean addAll(Collection c)

  Always throws `UnsupportedOperationException` for an empty range.
  throws:
    UnsupportedOperationException

### containsWithinBounds

    public boolean containsWithinBounds(Object o)

  Never true for an empty range.
  return:
    `false`

### get

    public Object get(int index)

  Always throws `IndexOutOfBoundsException` for an empty range.
  throws:
    IndexOutOfBoundsException always

### getFrom

    public Comparable getFrom()

### getTo

    public Comparable getTo()

### inspect

    public String inspect()

### isReverse

    public boolean isReverse()

  Never true for an empty range.
  return:
    `false`

### remove

    public boolean remove(Object o)

  Always throws `UnsupportedOperationException` for an empty range.
  throws:
    UnsupportedOperationException

### remove

    public Object remove(int index)

  Always throws `UnsupportedOperationException` for an empty range.
  throws:
    UnsupportedOperationException

### removeAll

    public boolean removeAll(Collection c)

  Always throws `UnsupportedOperationException` for an empty range.
  throws:
    UnsupportedOperationException

### retainAll

    public boolean retainAll(Collection c)

  Always throws `UnsupportedOperationException` for an empty range.
  throws:
    UnsupportedOperationException

### set

    public Object set(int index, Object element)

  Always throws `UnsupportedOperationException` for an empty range.
  throws:
    UnsupportedOperationException

### size

    public int size()

  Always 0 for an empty range.
  return:
    0

### step

    public void step(int step, Closure closure)

  Always does nothing for an empty range.

### step

    public List step(int step)

  Always returns an empty list for an empty range.

### toString

    public String toString()